import { SupportedIntegrationTypesImportData } from '../lib/types';
import type { CommandResult } from '../lib/types';
export declare const command: string[];
export declare const desc = "Generate data required for targets to be imported via API to create Snyk projects.\n";
export declare const builder: {
    orgsData: {
        required: boolean;
        default: undefined;
        desc: string;
    };
    source: {
        required: boolean;
        default: SupportedIntegrationTypesImportData;
        choices: SupportedIntegrationTypesImportData[];
        desc: string;
    };
    sourceUrl: {
        required: boolean;
        default: undefined;
        desc: string;
    };
};
export declare function generateOrgData(source: SupportedIntegrationTypesImportData, orgsData: string, sourceUrl: string): Promise<CommandResult>;
export declare function handler(argv: {
    source: SupportedIntegrationTypesImportData;
    orgsData: string;
    sourceUrl: string;
}): Promise<void>;
