"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateTargetId = void 0;
const _ = require("lodash");
const common_1 = require("./common");
function generateTargetId(orgId, integrationId, target) {
    const targetData = _.pick(target, ...common_1.targetProps);
    return `${orgId}:${integrationId}:${Object.values(targetData).join(':')}`;
}
exports.generateTargetId = generateTargetId;
//# sourceMappingURL=generate-target-id.js.map