import 'source-map-support/register';
import type { requestsManager } from 'snyk-request-manager';
import type { SnykProject } from '../../types';
interface BulkProjectUpdateResponse {
    publicId: string;
    name: string;
}
export declare function deleteProjects(orgId: string, projects: string[]): Promise<{
    success: BulkProjectUpdateResponse[];
    failure: BulkProjectUpdateResponse[];
}>;
export declare function deactivateProject(requestManager: requestsManager, orgId: string, projectPublicId: string): Promise<boolean>;
export declare function updateProject(requestManager: requestsManager, orgId: string, projectId: string, config: {
    branch: string;
}): Promise<SnykProject>;
export {};
