"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteDirectory = void 0;
const rmrf = require("rimraf");
const fs = require("fs");
async function deleteDirectory(dir) {
    try {
        fs.rmdirSync(dir, { recursive: true, maxRetries: 3 });
    }
    catch (e) {
        await new Promise((resolve, reject) => rmrf(dir, (err) => (err ? reject(err) : resolve())));
    }
}
exports.deleteDirectory = deleteDirectory;
//# sourceMappingURL=delete-directory.js.map