"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getApiToken = void 0;
function getApiToken() {
    const apiToken = process.env.SNYK_TOKEN;
    if (!apiToken) {
        throw new Error(`Please set the SNYK_TOKEN e.g. export SNYK_TOKEN='*****'`);
    }
    return apiToken;
}
exports.getApiToken = getApiToken;
//# sourceMappingURL=get-api-token.js.map