"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.limiterForScm = void 0;
const bottleneck_1 = require("bottleneck");
async function limiterForScm(maxConcurrent, minTime, reservoir, reservoirRefreshAmount, reservoirRefreshInterval) {
    return new bottleneck_1.default({
        reservoir: reservoir,
        reservoirRefreshAmount: reservoirRefreshAmount,
        reservoirRefreshInterval: reservoirRefreshInterval,
        maxConcurrent: maxConcurrent,
        minTime: minTime,
    });
}
exports.limiterForScm = limiterForScm;
//# sourceMappingURL=limiters.js.map