/// <reference types="node" />
import * as needle from 'needle';
import Bottleneck from 'bottleneck';
import { OutgoingHttpHeaders } from 'http2';
export declare function limiterWithRateLimitRetries<ResponseType>(verb: needle.NeedleHttpVerbs, url: string, headers: OutgoingHttpHeaders, limiter: Bottleneck, rateLimitSleepTime: number): Promise<{
    statusCode: number;
    body: ResponseType;
    headers: Record<string, unknown>;
}>;
