"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAzureToken = void 0;
function getAzureToken() {
    const azureToken = process.env.AZURE_TOKEN;
    if (!azureToken) {
        throw new Error(`Please set the AZURE_TOKEN e.g. export AZURE_TOKEN='mypersonalaccesstoken123'`);
    }
    return azureToken;
}
exports.getAzureToken = getAzureToken;
//# sourceMappingURL=get-azure-token.js.map