"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBitbucketServerToken = void 0;
function getBitbucketServerToken() {
    const bitbucketServerToken = process.env.BITBUCKET_SERVER_TOKEN;
    if (!bitbucketServerToken) {
        throw new Error(`Please set the BITBUCKET_SERVER_TOKEN e.g. export BITBUCKET_SERVER_TOKEN='mypersonalaccesstoken123'`);
    }
    return bitbucketServerToken;
}
exports.getBitbucketServerToken = getBitbucketServerToken;
//# sourceMappingURL=get-bitbucket-server-token.js.map