"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildGitCloneUrl = void 0;
const get_github_token_1 = require("./get-github-token");
function buildGitCloneUrl(meta) {
    const { cloneUrl } = meta;
    const url = new URL(cloneUrl);
    return `${url.protocol}//${get_github_token_1.getGithubToken()}:x-oauth-basic@${url.hostname}${url.pathname}`;
}
exports.buildGitCloneUrl = buildGitCloneUrl;
//# sourceMappingURL=git-clone-url.js.map