import { Octokit } from '@octokit/rest';
import type { GithubRepoData } from './types';
export declare function fetchReposForPage(octokit: Octokit, orgName: string, pageNumber?: number, perPage?: number): Promise<{
    repos: GithubRepoData[];
    hasNextPage: boolean;
}>;
export declare function listGithubRepos(orgName: string, host?: string): Promise<GithubRepoData[]>;
