export declare type SnykProductEntitlement = 'dockerfileFromScm' | 'infrastructureAsCode' | 'openSource';
export declare const OPEN_SOURCE_PACKAGE_MANAGERS: {
    [projectType: string]: {
        manifestFiles: string[];
        isSupported: boolean;
        entitlement: SnykProductEntitlement;
    };
};
export declare const CONTAINER: {
    [projectType: string]: {
        manifestFiles: string[];
        isSupported: boolean;
        entitlement?: SnykProductEntitlement;
    };
};
export declare const CLOUD_CONFIGS: {
    [projectType: string]: {
        manifestFiles: string[];
        isSupported: boolean;
        entitlement?: SnykProductEntitlement;
    };
};
export declare function getSCMSupportedManifests(manifestTypes?: string[], orgEntitlements?: SnykProductEntitlement[]): string[];
export declare function getSCMSupportedProjectTypes(orgEntitlements?: SnykProductEntitlement[]): string[];
