import type { CreatedOrgResponse } from '../lib';
import type { CreateOrgData } from '../lib/types';
interface NewOrExistingOrg extends CreatedOrgResponse {
    integrations: {
        [name: string]: string;
    };
    orgId: string;
    groupId: string;
    origName: string;
    sourceOrgId?: string;
}
export declare function createOrgs(filePath: string, options?: {
    noDuplicateNames?: boolean;
    includeExistingOrgsInOutput: boolean;
}, loggingPath?: string): Promise<{
    orgs: NewOrExistingOrg[];
    failed: CreateOrgData[];
    fileName: string;
    totalOrgs: number;
    existing: Partial<NewOrExistingOrg>[];
}>;
export {};
