import { SnykOrgData } from '../lib/source-handlers/github';
import { CreateOrgData, SupportedIntegrationTypesImportOrgData } from '../lib/types';
export declare const entityName: {
    [source in SupportedIntegrationTypesImportOrgData]: string;
};
export declare function generateOrgImportDataFile(source: SupportedIntegrationTypesImportOrgData, groupId: string, sourceOrgId?: string, sourceUrl?: string, skipEmptyOrgs?: boolean): Promise<{
    orgs: CreateOrgData[];
    fileName: string;
    skippedEmptyOrgs: SnykOrgData[];
}>;
