import type { Project, ImportTarget } from '../lib/types';
export declare function parseLogIntoTargetIds(logFile: string): Promise<string[]>;
export declare function shouldSkipTarget(targetItem: ImportTarget, importedTargets: string[]): Promise<boolean>;
export declare function filterOutImportedTargets(targets: ImportTarget[], loggingPath: string): Promise<ImportTarget[]>;
export declare function importProjects(fileName: string, loggingPath?: string): Promise<{
    projects: Project[];
    skippedTargets: number;
    filteredTargets: ImportTarget[];
    targets: ImportTarget[];
    logFile: string | undefined;
}>;
