import type { requestsManager } from 'snyk-request-manager';
import type { Project, Target } from '../../lib/types';
import type { FailedProject } from '../../loggers/log-failed-projects';
export declare function importSingleTarget(requestManager: requestsManager, orgId: string, integrationId: string, target: Target, filesToImport?: string[], excludeFolders?: string, loggingPath?: string): Promise<{
    projects: Project[];
    failed: FailedProject[];
}>;
