"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultExclusionGlobs = exports.targetPropsWithId = exports.targetProps = exports.FAILED_SYNC_LOG_NAME = exports.FAILED_ORG_LOG_NAME = exports.CREATED_ORG_LOG_NAME = exports.IMPORT_JOB_RESULTS = exports.IMPORTED_BATCHES_LOG_NAME = exports.IMPORTED_PROJECTS_LOG_NAME = exports.IMPORT_JOBS_LOG_NAME = exports.FAILED_POLLS_LOG_NAME = exports.FAILED_UPDATE_PROJECTS_LOG_NAME = exports.UPDATED_PROJECTS_LOG_NAME = exports.FAILED_PROJECTS_LOG_NAME = exports.FAILED_LOG_NAME = exports.IMPORT_LOG_NAME = void 0;
exports.IMPORT_LOG_NAME = 'imported-targets.log';
exports.FAILED_LOG_NAME = 'failed-imports.log';
exports.FAILED_PROJECTS_LOG_NAME = 'failed-projects.log';
exports.UPDATED_PROJECTS_LOG_NAME = 'updated-projects.log';
exports.FAILED_UPDATE_PROJECTS_LOG_NAME = 'failed-to-update-projects.log';
exports.FAILED_POLLS_LOG_NAME = 'failed-polls.log';
exports.IMPORT_JOBS_LOG_NAME = 'import-jobs.log';
exports.IMPORTED_PROJECTS_LOG_NAME = 'imported-projects.log';
exports.IMPORTED_BATCHES_LOG_NAME = 'imported-batches.log';
exports.IMPORT_JOB_RESULTS = 'import-job-results.log';
exports.CREATED_ORG_LOG_NAME = 'created-orgs.log';
exports.FAILED_ORG_LOG_NAME = 'failed-to-create-orgs.log';
exports.FAILED_SYNC_LOG_NAME = 'failed-to-sync-target.log';
exports.targetProps = [
    'name',
    'appId',
    'functionId',
    'slugId',
    'projectKey',
    'repoSlug',
    // 'id', skip Gitlab ID so we can match against Snyk project data where ID is never returned by Snyk APIs
    'owner',
    'branch',
];
exports.targetPropsWithId = [...exports.targetProps, 'id'];
exports.defaultExclusionGlobs = [
    'fixtures',
    'tests',
    '__tests__',
    'test',
    '__test__',
    'ci',
    'node_modules',
    'bower_components',
    '.git',
];
//# sourceMappingURL=common.js.map