import 'source-map-support/register';
import type { requestsManager } from 'snyk-request-manager';
import type { Target, FilePath, ImportTarget } from '../../types';
export declare function importTarget(requestManager: requestsManager, orgId: string, integrationId: string, target: Target, files?: FilePath[] | undefined, exclusionGlobs?: string | undefined, loggingPath?: string): Promise<{
    pollingUrl: string;
    target: Target;
    orgId: string;
    integrationId: string;
}>;
export declare function importTargets(requestManager: requestsManager, targets: ImportTarget[], loggingPath?: string): Promise<string[]>;
