import 'source-map-support/register';
import type { requestsManager } from 'snyk-request-manager';
import type { Project } from '../../types';
import type { FailedProject } from '../../../loggers/log-failed-projects';
export declare function pollImportUrl(requestManager: requestsManager, locationUrl: string, retryCount?: number, retryWaitTime?: number): Promise<{
    projects: Project[];
}>;
export declare function pollImportUrls(requestManager: requestsManager, locationUrls: string[]): Promise<{
    projects: Project[];
    failed: FailedProject[];
}>;
