"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBitbucketCloudPassword = void 0;
function getBitbucketCloudPassword() {
    const bitbucketCloudPassword = process.env.BITBUCKET_CLOUD_PASSWORD;
    if (!bitbucketCloudPassword) {
        throw new Error(`Please set the BITBUCKET_CLOUD_PASSWORD e.g. export BITBUCKET_CLOUD_PASSWORD='mybitbucketCloudPassword'`);
    }
    return bitbucketCloudPassword;
}
exports.getBitbucketCloudPassword = getBitbucketCloudPassword;
//# sourceMappingURL=get-bitbucket-cloud-password.js.map