"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBitbucketCloudUsername = void 0;
function getBitbucketCloudUsername() {
    const bitbucketCLoudUsername = process.env.BITBUCKET_CLOUD_USERNAME;
    if (!bitbucketCLoudUsername) {
        throw new Error(`Please set the BITBUCKET_CLOUD_USERNAME e.g. export BITBUCKET_CLOUD_USERNAME='myBitbucketCloudUsername'`);
    }
    return bitbucketCLoudUsername;
}
exports.getBitbucketCloudUsername = getBitbucketCloudUsername;
//# sourceMappingURL=get-bitbucket-cloud-username.js.map