"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bitbucketCloudWorkspaceIsEmpty = void 0;
const get_bitbucket_cloud_username_1 = require("./get-bitbucket-cloud-username");
const get_bitbucket_cloud_password_1 = require("./get-bitbucket-cloud-password");
const list_repos_1 = require("./list-repos");
async function bitbucketCloudWorkspaceIsEmpty(workspace) {
    const bitbucketCloudUsername = get_bitbucket_cloud_username_1.getBitbucketCloudUsername();
    const bitbucketCloudPassword = get_bitbucket_cloud_password_1.getBitbucketCloudPassword();
    const repos = await list_repos_1.fetchAllBitbucketCloudRepos(workspace, bitbucketCloudUsername, bitbucketCloudPassword);
    return !repos || repos.length === 0;
}
exports.bitbucketCloudWorkspaceIsEmpty = bitbucketCloudWorkspaceIsEmpty;
//# sourceMappingURL=workspace-is-empty.js.map