"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGithubToken = void 0;
function getGithubToken() {
    const githubToken = process.env.GITHUB_TOKEN;
    if (!githubToken) {
        throw new Error(`Please set the GITHUB_TOKEN e.g. export GITHUB_TOKEN='mypersonalaccesstoken123'`);
    }
    return githubToken;
}
exports.getGithubToken = getGithubToken;
//# sourceMappingURL=get-github-token.js.map