"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getToken = void 0;
function getToken() {
    const token = process.env.GITLAB_TOKEN;
    if (!token) {
        throw new Error(`Please set the GITLAB_TOKEN e.g. export GITLAB_TOKEN='mypersonalaccesstoken123'`);
    }
    return token;
}
exports.getToken = getToken;
//# sourceMappingURL=get-token.js.map